/// <reference types="react" />
import { Funding } from './src/itemProps/Funding';
import { IsEncodedByBioChemEntity } from './src/itemProps/IsEncodedByBioChemEntity';
import { IsPartOfBioChemEntity } from './src/itemProps/IsPartOfBioChemEntity';
import { TaxonomicRange } from './src/itemProps/TaxonomicRange';
import { IsInvolvedInBiologicalProcess } from './src/itemProps/IsInvolvedInBiologicalProcess';
import { IsLocatedInSubcellularLocation } from './src/itemProps/IsLocatedInSubcellularLocation';
import { AssociatedDisease } from './src/itemProps/AssociatedDisease';
import { HasMolecularFunction } from './src/itemProps/HasMolecularFunction';
import { HasBioChemEntityPart } from './src/itemProps/HasBioChemEntityPart';
import { BioChemInteraction } from './src/itemProps/BioChemInteraction';
import { HasRepresentation } from './src/itemProps/HasRepresentation';
import { BioChemSimilarity } from './src/itemProps/BioChemSimilarity';
import { BiologicalRole } from './src/itemProps/BiologicalRole';
import { MainEntityOfPage } from './src/itemProps/MainEntityOfPage';
import { AlternateName } from './src/itemProps/AlternateName';
import { Name } from './src/itemProps/Name';
import { PotentialAction } from './src/itemProps/PotentialAction';
import { Image } from './src/itemProps/Image';
import { Url } from './src/itemProps/Url';
import { Description } from './src/itemProps/Description';
import { SubjectOf } from './src/itemProps/SubjectOf';
import { AdditionalType } from './src/itemProps/AdditionalType';
import { DisambiguatingDescription } from './src/itemProps/DisambiguatingDescription';
import { SameAs } from './src/itemProps/SameAs';
import { Identifier } from './src/itemProps/Identifier';
import { BioChemEntity } from './src/BioChemEntity';
export { BioChemEntity, Funding, IsEncodedByBioChemEntity, IsPartOfBioChemEntity, TaxonomicRange, IsInvolvedInBiologicalProcess, IsLocatedInSubcellularLocation, AssociatedDisease, HasMolecularFunction, HasBioChemEntityPart, BioChemInteraction, HasRepresentation, BioChemSimilarity, BiologicalRole, MainEntityOfPage, AlternateName, Name, PotentialAction, Image, Url, Description, SubjectOf, AdditionalType, DisambiguatingDescription, SameAs, Identifier };
declare const _default: {
    BioChemEntity: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemScope: boolean;
        itemType: string;
    }, string | import("react").JSXElementConstructor<any>>;
    Funding: {
        Grant: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    IsEncodedByBioChemEntity: {
        Gene: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    IsPartOfBioChemEntity: {
        BioChemEntity: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    TaxonomicRange: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        DefinedTerm({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Taxon({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    IsInvolvedInBiologicalProcess: {
        PropertyValue: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        DefinedTerm: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    IsLocatedInSubcellularLocation: {
        PropertyValue: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        DefinedTerm: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AssociatedDisease: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        PropertyValue: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        MedicalCondition: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    HasMolecularFunction: {
        PropertyValue: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        DefinedTerm: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    HasBioChemEntityPart: {
        BioChemEntity: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    BioChemInteraction: {
        BioChemEntity: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    HasRepresentation: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        PropertyValue({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    BioChemSimilarity: {
        BioChemEntity: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    BiologicalRole: {
        DefinedTerm: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    MainEntityOfPage: {
        CreativeWork: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AlternateName: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    Name: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    PotentialAction: {
        Action: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Image: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        ImageObject: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Url: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Description: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    SubjectOf: {
        Event: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        CreativeWork: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AdditionalType: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    DisambiguatingDescription: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    SameAs: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Identifier: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        PropertyValue({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
};
export default _default;
